Bug 885323 - [abrt] rosegarden4-12.04-3.fc17: QGraphicsItem::pos: Process /usr/bin/rosegarden was killed by signal 11 (SIGSEGV)
Summary: [abrt] rosegarden4-12.04-3.fc17: QGraphicsItem::pos: Process /usr/bin/rosegar...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: rosegarden4
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Brendan Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:2e70fbb804ffb705732cf33b65e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-08 16:16 UTC by David W. Legg
Modified: 2013-07-31 21:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-31 21:40:41 UTC
Type: ---


Attachments (Terms of Use)
File: core_backtrace (4.63 KB, text/plain)
2012-12-08 16:16 UTC, David W. Legg
no flags Details
File: environ (1.77 KB, text/plain)
2012-12-08 16:16 UTC, David W. Legg
no flags Details
File: backtrace (76.56 KB, text/plain)
2012-12-08 16:16 UTC, David W. Legg
no flags Details
File: limits (1.29 KB, text/plain)
2012-12-08 16:16 UTC, David W. Legg
no flags Details
File: cgroup (128 bytes, text/plain)
2012-12-08 16:16 UTC, David W. Legg
no flags Details
File: smolt_data (2.77 KB, text/plain)
2012-12-08 16:16 UTC, David W. Legg
no flags Details
File: executable (19 bytes, text/plain)
2012-12-08 16:16 UTC, David W. Legg
no flags Details
File: maps (63.20 KB, text/plain)
2012-12-08 16:16 UTC, David W. Legg
no flags Details
File: dso_list (13.44 KB, text/plain)
2012-12-08 16:16 UTC, David W. Legg
no flags Details
File: proc_pid_status (935 bytes, text/plain)
2012-12-08 16:16 UTC, David W. Legg
no flags Details
File: open_fds (463 bytes, text/plain)
2012-12-08 16:16 UTC, David W. Legg
no flags Details
File: var_log_messages (607 bytes, text/plain)
2012-12-08 16:16 UTC, David W. Legg
no flags Details

Description David W. Legg 2012-12-08 16:16:16 UTC
Description of problem:
Clicked on a second treble clef and rosegarden crashed.
CPU was very busy at the time, though.


Version-Release number of selected component:
rosegarden4-12.04-3.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
backtrace_rating: 4
cmdline:        rosegarden
crash_function: QGraphicsItem::pos
kernel:         3.6.8-2.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 QGraphicsItem::pos at graphicsview/qgraphicsitem.cpp:3605
: #1 x at /usr/include/QtGui/qgraphicsitem.h:280
: #2 Rosegarden::NotationSelector::handleMouseRelease at src/gui/editors/notation/NotationSelector.cpp:307
: #3 slotDispatchMouseRelease at src/gui/editors/notation/NotationWidget.cpp:964
: #4 Rosegarden::NotationWidget::qt_static_metacall at src/gui/editors/notation/NotationWidget.moc:196
: #5 QMetaObject::activate at kernel/qobject.cpp:3547
: #6 Rosegarden::NotationScene::mouseReleased at src/gui/editors/notation/NotationScene.moc:151
: #7 Rosegarden::NotationScene::mouseReleaseEvent at src/gui/editors/notation/NotationScene.cpp:785
: #8 QGraphicsScene::event at graphicsview/qgraphicsscene.cpp:3458
: #9 QApplicationPrivate::notify_helper at kernel/qapplication.cpp:4557

Potential duplicate bug: 760634

Comment 1 David W. Legg 2012-12-08 16:16:19 UTC
Created attachment 659878 [details]
File: core_backtrace

Comment 2 David W. Legg 2012-12-08 16:16:21 UTC
Created attachment 659879 [details]
File: environ

Comment 3 David W. Legg 2012-12-08 16:16:23 UTC
Created attachment 659880 [details]
File: backtrace

Comment 4 David W. Legg 2012-12-08 16:16:25 UTC
Created attachment 659881 [details]
File: limits

Comment 5 David W. Legg 2012-12-08 16:16:27 UTC
Created attachment 659882 [details]
File: cgroup

Comment 6 David W. Legg 2012-12-08 16:16:29 UTC
Created attachment 659883 [details]
File: smolt_data

Comment 7 David W. Legg 2012-12-08 16:16:31 UTC
Created attachment 659884 [details]
File: executable

Comment 8 David W. Legg 2012-12-08 16:16:33 UTC
Created attachment 659885 [details]
File: maps

Comment 9 David W. Legg 2012-12-08 16:16:35 UTC
Created attachment 659886 [details]
File: dso_list

Comment 10 David W. Legg 2012-12-08 16:16:37 UTC
Created attachment 659887 [details]
File: proc_pid_status

Comment 11 David W. Legg 2012-12-08 16:16:39 UTC
Created attachment 659888 [details]
File: open_fds

Comment 12 David W. Legg 2012-12-08 16:16:41 UTC
Created attachment 659889 [details]
File: var_log_messages

Comment 13 Fedora End Of Life 2013-07-03 20:59:07 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2013-07-31 21:40:44 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.